1. Years
ESG SDMS Prod
  • Authentication
    • Auth
      POST
  • Corporate
    • Indicators
      • List Indicators
      • Show Indicator
    • Indicator Data Input
      • List Data Input
      • Get Data Input
      • Create Data Input
      • Update Data Input
      • Delete Data Input
      • Create or Update Data Input
    • Units
      • List Units
      • Show Unit
    • Themes
      • List Themes
      • Show Theme
    • Groups
      • Show Group
      • List Groups
    • Regimes
      • Show Regime
      • List Regimes
    • Years
      • Show Year
        GET
      • List Years
        GET
  1. Years

Show Year

Prod Env
https://platform.esginvest.com
Prod Env
https://platform.esginvest.com
GET
/api/external/corporate/years/{{ID}}
Generated from cURL: curl --location '{{BASE_URL}}/api/external/corporate/years/{{ID}}' --request GET --header 'Authorization: Bearer {{TOKEN}}'

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://platform.esginvest.com/api/external/corporate/years/{{ID}}' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "id": 10,
    "key": "2022",
    "name": "2022",
    "created_at": "2024-01-22T11:10:35.000000Z",
    "updated_at": "2024-09-15T03:40:41.000000Z",
    "public": true,
    "alias": "2022",
    "public_on_corporate": true,
    "rating": true,
    "public_on_investor": true,
    "default_on_corporate": true,
    "default_on_investor": false,
    "default": true
}
Modified at 2026-03-30 01:20:00
Previous
List Regimes
Next
List Years
Built with